org.eclipse.modisco.java.discoverer

## Class DiscoverJavaModelFromLibrary

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<IPackageFragmentRoot>
    - - org.eclipse.modisco.java.discoverer.DiscoverJavaModelFromLibrary

All Implemented Interfaces:
  IDiscoverer<IPackageFragmentRoot>

    public class DiscoverJavaModelFromLibrary
    extends AbstractModelDiscoverer<IPackageFragmentRoot>

Discover a Java model from a jar file.

### Field Summary

Fields
`static java.lang.String` `ID`

### Constructor Summary

Constructors
Constructor and Description
`DiscoverJavaModelFromLibrary()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isApplicableTo(IPackageFragmentRoot packageFragmentRoot)` To determine if the source object can be handled by the discoverer.

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`discoverElement, getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### Constructor Detail

#### DiscoverJavaModelFromLibrary

    public DiscoverJavaModelFromLibrary()

### Method Detail

#### isApplicableTo

    public boolean isApplicableTo(IPackageFragmentRoot packageFragmentRoot)

Description copied from interface: `IDiscoverer`
To determine if the source object can be handled by the discoverer. Each discoverer has to implement this method with its own criteria to filter the selected object.

Some usual implementations are proposed on `AbstractDiscoverer`.

Parameters:
  `packageFragmentRoot` - the selected object.
Returns:
  `true` if the selected object is managed by this discoverer, `false` otherwise.